Bug 172340 - [PATCH] graphics/ampasCTL: update to 1.4.1, take maintainership
Summary: [PATCH] graphics/ampasCTL: update to 1.4.1, take maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-04 23:50 UTC by nemysis
Modified: 2013-01-17 03:34 UTC (History)
0 users

See Also:


Attachments
ampasCTL-1.4.1.patch (5.43 KB, patch)
2012-10-04 23:50 UTC, nemysis
no flags Details | Diff
ampasCTL.shar (5.01 KB, application/x-shar)
2012-10-06 15:37 UTC, nemysis
no flags Details
ampasCTLdiff (5.55 KB, application/octet-stream)
2012-11-01 14:04 UTC, nemysis
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2012-10-04 23:50:07 UTC
- Update to 1.4.1
- Take maintainership


- Adjusted MASTER_SITES

+MASTER_SITES=	SF/${PORTNAME:L}/ctl/ctl-${PORTVERSION}/


- Added LICENSE

+LICENSE=	BSD


- Changed LIB_DEPENDS

+LIB_DEPENDS=	Imath:${PORTSDIR}/graphics/ilmbase


- Added PORTDOCS

+PORTDOCS=	AUTHORS ChangeLog NEWS README


- Added OptionsNG

+.include <bsd.port.options.mk>


- Added post-install for PORTDOCS

+post-install:


- Rework

pkg-descr and pkg-plist

Generated and tested manually, tested with port test and with RedPorts (all RELEASES, CLANG), sent with FreeBSD Port Tools 0.99_6 (mode: update, diff: ports)

How-To-Repeat: 
portlint -A
WARN: /usr/local/ports/local/work/graphics/ampasCTL/pkg-plist: Both ``%%PORTDOCS%%@dirrm %%DOCSDIR%%'' and ``%%PORTDOCS%%@unexec %D/%%DOCSDIR%% 2>/dev/null || true'' are missing.  At least one should be used.
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
0 fatal errors and 2 warnings found.

WARN: /usr/local/ports/local/work/graphics/ampasCTL/pkg-plist: because is used PORTDOCS  and Port self install documentation

+%%PORTDOCS%%@dirrmtry %%DOCSDIR%%


port test: clean


Build log RedPorts

https://redports.org/buildarchive/20121004171826-39854/
Comment 1 nemysis 2012-10-06 15:37:26 UTC
Changed to

USE_PKGCONFIG=  build
Comment 2 Steve Wills freebsd_committer 2012-10-07 17:50:23 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

I'll take it.
Comment 3 nemysis 2012-11-01 14:04:02 UTC
Have changed to store all downloads in

DIST_SUBDIR=    OpenEXR
Comment 4 dfilter service freebsd_committer 2013-01-17 03:26:17 UTC
Author: swills
Date: Thu Jan 17 03:26:03 2013
New Revision: 310534
URL: http://svnweb.freebsd.org/changeset/ports/310534

Log:
  - Update to 1.4.1
  - Give maintainership to submitter
  
  PR:		ports/172340
  Submitted by:	nemysis <nemysis@gmx.ch>

Modified:
  head/graphics/ampasCTL/Makefile
  head/graphics/ampasCTL/distinfo
  head/graphics/ampasCTL/pkg-descr
  head/graphics/ampasCTL/pkg-plist

Modified: head/graphics/ampasCTL/Makefile
==============================================================================
--- head/graphics/ampasCTL/Makefile	Thu Jan 17 03:25:07 2013	(r310533)
+++ head/graphics/ampasCTL/Makefile	Thu Jan 17 03:26:03 2013	(r310534)
@@ -6,21 +6,27 @@
 #
 
 PORTNAME=	ampasCTL
-PORTVERSION=	1.4.0
+PORTVERSION=	1.4.1
 CATEGORIES=	graphics devel
-MASTER_SITES=	SF/${PORTNAME:L}/ctl/${PORTVERSION}
-DISTNAME=	ctl-${PORTVERSION}
+MASTER_SITES=	SF/${PORTNAME:L}/ctl/ctl-${PORTVERSION}/
+DISTNAME=	ctl-${DISTVERSION}
 
-MAINTAINER=	ports@FreeBSD.org
+MAINTAINER=	nemysis@gmx.ch
 COMMENT=	Color Transformation Language interpreter
 
-LIB_DEPENDS=	Half.6:${PORTSDIR}/graphics/ilmbase
+LICENSE=	BSD
 
-USE_GNOME=	pkgconfig
+LIB_DEPENDS=	Imath:${PORTSDIR}/graphics/ilmbase
+
+USE_PKGCONFIG=	build
 USE_LDCONFIG=	yes
 GNU_CONFIGURE=	yes
 USE_AUTOTOOLS=	libtool
 
+PORTDOCS=	AUTHORS ChangeLog NEWS README
+
+.include <bsd.port.options.mk>
+
 test check:	build
 	@(cd ${WRKSRC}; ${SETENV} ${MAKE_ENV} ${MAKE} ${MAKE_FLAGS} ${MAKEFILE} ${MAKE_ARGS} check)
 
@@ -28,4 +34,10 @@ test check:	build
 pre-install:	test
 .endif
 
+post-install:
+.if ${PORT_OPTIONS:MDOCS}
+	${MKDIR} ${DOCSDIR}
+	${INSTALL_DATA} ${PORTDOCS:S|^|${WRKSRC}/|} ${DOCSDIR}
+.endif
+
 .include <bsd.port.mk>

Modified: head/graphics/ampasCTL/distinfo
==============================================================================
--- head/graphics/ampasCTL/distinfo	Thu Jan 17 03:25:07 2013	(r310533)
+++ head/graphics/ampasCTL/distinfo	Thu Jan 17 03:26:03 2013	(r310534)
@@ -1,2 +1,2 @@
-SHA256 (ctl-1.4.0.tar.gz) = 85cc710d18f1ac16e77640e165ba083c6e27766cbe6b0cfdb80eac3daef58aa6
-SIZE (ctl-1.4.0.tar.gz) = 1004039
+SHA256 (ctl-1.4.1.tar.gz) = b202d9552eeb81f3ded66a6786719f6e1138fa4e31c866799b1efad6ef7a9f9a
+SIZE (ctl-1.4.1.tar.gz) = 996923

Modified: head/graphics/ampasCTL/pkg-descr
==============================================================================
--- head/graphics/ampasCTL/pkg-descr	Thu Jan 17 03:25:07 2013	(r310533)
+++ head/graphics/ampasCTL/pkg-descr	Thu Jan 17 03:26:03 2013	(r310534)
@@ -1,13 +1,24 @@
-The CTL(Color Transformation Language) interpreter contains
-the following C++ libraries:
+ABOUT THE CTL LIBRARIES
+-----------------------
 
-IlmCtl		The CTL interpreter front end and the interpreter's
-		public programming interface.
+The CTL interpreter source code release contains the following
+C++ libraries:
 
-IlmCtlSimd	The interpreter's SIMD back end.
+IlmCtl          The CTL interpreter front end and the interpreter's
+                public programming interface.
 
-IlmCtlMath	Math routines that are used by IlmCtlSimd: conversions
-		between standard color spaces, 1D and 3D lookup tables,
-		3D scattered data interpolation.
+IlmCtlSimd      The interpreter's SIMD back end.
 
-WWW:	http://www.oscars.org/council/ctl.html
+IlmCtlMath      Math routines that are used by IlmCtlSimd: conversions
+                between standard color spaces, 1D and 3D lookup tables,
+                3D scattered data interpolation.
+
+IlmCtlTest      Confidence tests for IlmCtl, IlmCtlSimd
+
+IlmCtlMathTest  Confidence tests for IlmCtlMath
+
+IlmCtlTest      Confidence tests for IlmImfCtl
+
+WWW:	http://www.openexr.com/
+WWW:	http://www.oscars.org/science-technology/council/projects/ctl.html
+WWW:	http://ampasctl.sourceforge.net/

Modified: head/graphics/ampasCTL/pkg-plist
==============================================================================
--- head/graphics/ampasCTL/pkg-plist	Thu Jan 17 03:25:07 2013	(r310533)
+++ head/graphics/ampasCTL/pkg-plist	Thu Jan 17 03:26:03 2013	(r310534)
@@ -1,15 +1,3 @@
-lib/libIlmCtl.a
-lib/libIlmCtl.la
-lib/libIlmCtl.so
-lib/libIlmCtl.so.2
-lib/libIlmCtlMath.a
-lib/libIlmCtlMath.la
-lib/libIlmCtlMath.so
-lib/libIlmCtlMath.so.2
-lib/libIlmCtlSimd.a
-lib/libIlmCtlSimd.la
-lib/libIlmCtlSimd.so
-lib/libIlmCtlSimd.so.2
 include/CTL/CtlAddr.h
 include/CTL/CtlAlign.h
 include/CTL/CtlColorSpace.h
@@ -31,8 +19,21 @@ include/CTL/CtlSyntaxTree.h
 include/CTL/CtlTokens.h
 include/CTL/CtlType.h
 include/CTL/CtlVersion.h
+lib/libIlmCtl.a
+lib/libIlmCtl.la
+lib/libIlmCtl.so
+lib/libIlmCtl.so.2
+lib/libIlmCtlMath.a
+lib/libIlmCtlMath.la
+lib/libIlmCtlMath.so
+lib/libIlmCtlMath.so.2
+lib/libIlmCtlSimd.a
+lib/libIlmCtlSimd.la
+lib/libIlmCtlSimd.so
+lib/libIlmCtlSimd.so.2
 libdata/pkgconfig/CTL.pc
-%%DOCSDIR%%/CtlManual.pdf
-%%DOCSDIR%%/CtlManual.doc
-@dirrm %%DOCSDIR%%
-@dirrm include/CTL
+%%PORTDOCS%%%%DOCSDIR%%/CtlManual.doc
+%%PORTDOCS%%%%DOCSDIR%%/CtlManual.pdf
+%%PORTDOCS%%@dirrmtry %%DOCSDIR%%
+@dirrmtry share/applications
+@dirrmtry include/CTL
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Steve Wills freebsd_committer 2013-01-17 03:34:31 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks and thanks for your patience.